 /*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package CiilId.VIEW;

import CiilId.CRUD.CRUD_Pesan;
import CiilId.CRUD.CRUD_Pelanggan;
import CiilId.CRUD.FreeSyntax;
import java.io.File;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JButton;
import javax.swing.JOptionPane;
import net.sf.jasperreports.engine.JasperCompileManager;
import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.engine.JasperPrintManager;
import net.sf.jasperreports.engine.JasperReport;
import net.sf.jasperreports.engine.design.JRDesignQuery;
import net.sf.jasperreports.engine.design.JasperDesign;
import net.sf.jasperreports.engine.xml.JRXmlLoader;

/**
 *
 * @author Ghozyan Hilman Pradana <ozy-dev.web.id>
 */
public class FormPesan extends javax.swing.JFrame {
    public boolean bioskopDipilih = false;
    public boolean filmDipilih = false;
     public boolean jamDipilih = false;
    public String baris, nomer;
    public int[] bangku = new int[12];
    private Connection con;
    private Statement stat;
    private com.mysql.jdbc.Connection koneksi;
    /**
     * Creates new form FormPesan
     */
    public FormPesan() {
        initComponents();
        tanggal();
        ShowComboDB();
    }
    
    private void koneksi() {
        try {
            Class.forName("com.mysql.jdbc.Driver");
            con = DriverManager.getConnection("jdbc:mysql://localhost/dbcillid", "root", "");
            stat = con.createStatement();
        } catch (ClassNotFoundException | SQLException e) {
            JOptionPane.showMessageDialog(null, e);
        }
    }
    
    private void ShowComboDB(){
        DefaultComboBoxModel data2 = new DefaultComboBoxModel();
        DefaultComboBoxModel data3 = new DefaultComboBoxModel();
       
        input_pesan_film.setModel(data2);
        input_jam_tayang.setModel(data3);
        
       
        try{
            CRUD_Pesan CP = new CRUD_Pesan();
            CP.comboDataFilm(data2);
            CP.comboDataJam(data3);
        }catch(Exception e){
            System.out.println(e.getMessage());
        }
    }
    
    public void tanggal(){
    Date ys = new Date();
    SimpleDateFormat s=new SimpleDateFormat("dd-MM-yyyy");
    input_tangal.setText(s.format(ys));
    }
    
    

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        bangkuA1 = new javax.swing.JButton();
        bangkuA2 = new javax.swing.JButton();
        bangkuA4 = new javax.swing.JButton();
        bangkuA3 = new javax.swing.JButton();
        bangkuB3 = new javax.swing.JButton();
        bangkuB4 = new javax.swing.JButton();
        bangkuB2 = new javax.swing.JButton();
        bangkuB1 = new javax.swing.JButton();
        bangkuC3 = new javax.swing.JButton();
        bangkuC4 = new javax.swing.JButton();
        bangkuC2 = new javax.swing.JButton();
        bangkuC1 = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        jLabel6 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        input_pesan_film = new javax.swing.JComboBox();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        no_studio = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        input_harga = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        input_tangal = new javax.swing.JLabel();
        input_jam_tayang = new javax.swing.JComboBox();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jLabel1.setText("Nama KASIR");

        jLabel3.setText("Studio                :");

        jLabel4.setText("Film                    :");

        jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        bangkuA1.setText("A1");
        bangkuA1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bangkuA1ActionPerformed(evt);
            }
        });

        bangkuA2.setText("A2");
        bangkuA2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bangkuA2ActionPerformed(evt);
            }
        });

        bangkuA4.setText("A4");
        bangkuA4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bangkuA4ActionPerformed(evt);
            }
        });

        bangkuA3.setText("A3");
        bangkuA3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bangkuA3ActionPerformed(evt);
            }
        });

        bangkuB3.setText("B3");
        bangkuB3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bangkuB3ActionPerformed(evt);
            }
        });

        bangkuB4.setText("B4");
        bangkuB4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bangkuB4ActionPerformed(evt);
            }
        });

        bangkuB2.setText("B2");
        bangkuB2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bangkuB2ActionPerformed(evt);
            }
        });

        bangkuB1.setText("B1");
        bangkuB1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bangkuB1ActionPerformed(evt);
            }
        });

        bangkuC3.setText("C3");
        bangkuC3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bangkuC3ActionPerformed(evt);
            }
        });

        bangkuC4.setText("C4");
        bangkuC4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bangkuC4ActionPerformed(evt);
            }
        });

        bangkuC2.setText("C2");
        bangkuC2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bangkuC2ActionPerformed(evt);
            }
        });

        bangkuC1.setText("C1");
        bangkuC1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bangkuC1ActionPerformed(evt);
            }
        });

        jPanel2.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        jLabel6.setText("Layar");

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGap(174, 174, 174)
                .addComponent(jLabel6)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel6)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(76, 76, 76)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(bangkuC1, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(bangkuC2, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(79, 79, 79)
                        .addComponent(bangkuC3, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(bangkuC4, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                        .addGroup(jPanel1Layout.createSequentialGroup()
                            .addComponent(bangkuB1, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                            .addComponent(bangkuB2, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGap(79, 79, 79)
                            .addComponent(bangkuB3, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                            .addComponent(bangkuB4, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGroup(jPanel1Layout.createSequentialGroup()
                            .addComponent(bangkuA1, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                            .addComponent(bangkuA2, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGap(79, 79, 79)
                            .addComponent(bangkuA3, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                            .addComponent(bangkuA4, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap(92, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(29, 29, 29)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(bangkuA1, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bangkuA2, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bangkuA3, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bangkuA4, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(bangkuB1, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bangkuB2, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bangkuB3, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bangkuB4, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(bangkuC1, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bangkuC2, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bangkuC3, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bangkuC4, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 42, Short.MAX_VALUE)
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(40, 40, 40))
        );

        jLabel5.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel5.setText("Pesan Tiket");

        input_nama_kasir.setEditable(false);

        input_pesan_film.addItemListener(new java.awt.event.ItemListener() {
            public void itemStateChanged(java.awt.event.ItemEvent evt) {
                input_pesan_filmItemStateChanged(evt);
            }
        });
        input_pesan_film.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                input_pesan_filmMouseClicked(evt);
            }
        });
        input_pesan_film.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                input_pesan_filmActionPerformed(evt);
            }
        });

        jButton1.setText("Pesan");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        jButton2.setText("Refresh");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jButton3.setText("Kembali");
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });

        no_studio.setText("0");

        jLabel7.setText("Harga :");

        input_harga.setText("0");

        jLabel9.setText("Jam Tayang");

        jLabel8.setText("Tanggal :");

        input_tangal.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        input_jam_tayang.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        input_jam_tayang.addItemListener(new java.awt.event.ItemListener() {
            public void itemStateChanged(java.awt.event.ItemEvent evt) {
                input_jam_tayangItemStateChanged(evt);
            }
        });
        input_jam_tayang.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                input_jam_tayangMouseClicked(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(26, 26, 26)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                    .addGroup(layout.createSequentialGroup()
                                        .addComponent(jLabel4)
                                        .addGap(18, 18, 18)
                                        .addComponent(input_pesan_film, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                    .addGroup(layout.createSequentialGroup()
                                        .addComponent(jLabel1)
                                        .addGap(18, 18, 18)
                                        .addComponent(input_nama_kasir, javax.swing.GroupLayout.PREFERRED_SIZE, 222, javax.swing.GroupLayout.PREFERRED_SIZE))
                                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                                        .addComponent(jLabel3)
                                        .addGap(18, 18, 18)
                                        .addComponent(no_studio)))
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(layout.createSequentialGroup()
                                        .addGap(18, 18, 18)
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                            .addComponent(jLabel8)
                                            .addComponent(jLabel9))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(input_jam_tayang, javax.swing.GroupLayout.PREFERRED_SIZE, 112, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(input_tangal, javax.swing.GroupLayout.PREFERRED_SIZE, 96, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                    .addGroup(layout.createSequentialGroup()
                                        .addGap(47, 47, 47)
                                        .addComponent(jLabel7)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                        .addComponent(input_harga, javax.swing.GroupLayout.PREFERRED_SIZE, 92, javax.swing.GroupLayout.PREFERRED_SIZE))))))
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 77, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(196, 196, 196)
                        .addComponent(jLabel5))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(153, 153, 153)
                        .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(57, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel5)
                    .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 41, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 15, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(input_nama_kasir, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel7)
                    .addComponent(input_harga))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel9)
                    .addComponent(input_jam_tayang, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(input_pesan_film, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel8)
                    .addComponent(input_tangal, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(no_studio))
                .addGap(22, 22, 22)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 54, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 54, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void bangkuA3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bangkuA3ActionPerformed
        // TODO add your handling code here:
        baris = "a";
        nomer = "3";
    }//GEN-LAST:event_bangkuA3ActionPerformed

    private void bangkuA4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bangkuA4ActionPerformed
        // TODO add your handling code here:
        baris = "a";
        nomer = "4";
    }//GEN-LAST:event_bangkuA4ActionPerformed

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
        // TODO add your handling code here:
        new formlogin().show();
        this.dispose();
    }//GEN-LAST:event_jButton3ActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        // TODO add your handling code here:
        
        try {
            CRUD_Pelanggan CP  = new CRUD_Pelanggan(input_nama_kasir.getText(),no_studio.getText(),input_pesan_film.getSelectedItem().toString(),input_tangal.getText(),input_jam_tayang.getSelectedItem().toString(), baris, nomer, input_harga.getText());
            if (CP.masukkanData()) {
                JOptionPane.showMessageDialog(null, ""+""
                        + "\nTransaksi Berhasil"
                        + "\n"
                        + "\n--------------------------------------"
                        + "\n"
                        + "\nJudul Film : " + input_pesan_film.getSelectedItem().toString()
                        + "\nTanggal : " + input_tangal.getText()
                        + "\nJam Tayang : " + input_jam_tayang.getSelectedItem().toString()
                        + "\nBaris : " + baris + " Kursi : " + nomer + ""
                        + "\nHarga : " + input_harga.getText()
                        + "\nNo Studio : " + no_studio.getText()
                        + "\nNama Kasir : " + input_nama_kasir.getText()
                        + "", "Status", JOptionPane.INFORMATION_MESSAGE, null);
                System.out.println("Berhasil");
                
                FreeSyntax FS = new FreeSyntax();
                String bangkuNya = baris + nomer;
                FS.setBangku(no_studio.getText(),  bangkuNya);
                
                //REFRESH BANGKU LAGI
                FS.getDataBangku(no_studio.getText(), bangku);
                
                setBangku(bangku,0,bangkuA1);
                setBangku(bangku,1,bangkuA2);
                setBangku(bangku,2,bangkuA3);
                setBangku(bangku,3,bangkuA4);
                
                setBangku(bangku,4,bangkuB1);
                setBangku(bangku,5,bangkuB2);
                setBangku(bangku,6,bangkuB3);
                setBangku(bangku,7,bangkuB4);
                
                setBangku(bangku,8,bangkuC1);
                setBangku(bangku,9,bangkuC2);
                setBangku(bangku,10,bangkuC3);
                setBangku(bangku,11,bangkuC4);
                //DONE
            } else {
                JOptionPane.showMessageDialog(null, "Gagal", "Status", JOptionPane.ERROR_MESSAGE, null);
            }
        } catch (SQLException ex) {
            //Logger.getLogger(AksesDatabase.class.getName()).log(Level.SEVERE, null, ex);
        }
        try {
            koneksi=filekoneksi.koneksiDb();
      JasperDesign jd =JRXmlLoader.load(new File("").getAbsolutePath()+"/src/CiilId/VIEW/tiket.jrxml");
      
        HashMap params = new HashMap();
        params.put("kasir", input_nama_kasir.getText());
        params.put("nomor_studio", no_studio.getText());
        params.put("judul", input_pesan_film.getSelectedItem().toString());
        params.put("waktu_pemesanan", input_tangal.getText());
        params.put("jam_tayang", input_jam_tayang.getSelectedItem().toString());
        params.put("baris", baris);
        params.put("nomor_bangku", nomer);
        params.put("harga", input_harga.getText());
        
        
        JRDesignQuery  newQuery=new JRDesignQuery();
        newQuery.setText("select * from pelanggan");
        jd.setQuery(newQuery);
        JasperReport jr=JasperCompileManager.compileReport(jd);
        JasperPrint jp=JasperFillManager.fillReport(jr,params, koneksi);
        JasperPrintManager.printReport(jp, false);
      
    } catch (Exception e) {
      // TODO: handle exception
      e.printStackTrace();
    }
        new formlogin().show();
        this.dispose();
    }//GEN-LAST:event_jButton1ActionPerformed

    private void input_pesan_filmMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_input_pesan_filmMouseClicked
        // TODO add your handling code here:
        filmDipilih = true;
    }//GEN-LAST:event_input_pesan_filmMouseClicked

    private void setBangku(int[] arrayBangku,int index, JButton tombolBangku){
        if(arrayBangku[index] == 0){
            tombolBangku.setEnabled(true);
        }else{
            tombolBangku.setEnabled(false);
        }
    }
    
    private void input_pesan_filmItemStateChanged(java.awt.event.ItemEvent evt) {//GEN-FIRST:event_input_pesan_filmItemStateChanged
//        // TODO add your handling code here:
//        if(filmDipilih){
//            try{
//                CRUD_Pesan CP = new CRUD_Pesan();
//                //CP.labelDataIdStudio(no_studio, input_pesan_bioskop.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString());
//                //CP.labelDataWaktuMulai(inputWaktuMulai, input_pesan_bioskop.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString());
//                //CP.labelDataWaktuSelesai(inputWaktuSelesai, input_pesan_bioskop.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString());
//                CP.labelDataHarga(input_harga, input_pesan_bioskop.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString(),input_jam_tayang.getSelectedItem().toString());
//                //CP.labelDataTanggal(input_tangal, input_pesan_bioskop.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString());
//
//                //setting bangku
//                FreeSyntax FS = new FreeSyntax();
//                FS.getDataBangku(no_studio.getText(), input_pesan_bioskop.getSelectedItem().toString(), bangku);
//                
//                setBangku(bangku,0,bangkuA1);
//                setBangku(bangku,1,bangkuA2);
//                setBangku(bangku,2,bangkuA3);
//                setBangku(bangku,3,bangkuA4);
//                
//                setBangku(bangku,4,bangkuB1);
//                setBangku(bangku,5,bangkuB2);
//                setBangku(bangku,6,bangkuB3);
//                setBangku(bangku,7,bangkuB4);
//                
//                setBangku(bangku,8,bangkuC1);
//                setBangku(bangku,9,bangkuC2);
//                setBangku(bangku,10,bangkuC3);
//                setBangku(bangku,11,bangkuC4);
//                //endOf SetBangku
//                
//               
//                
//            }catch(Exception e){
//                System.out.println(e.getMessage());
//            }
//            filmDipilih = false;
//        }
    }//GEN-LAST:event_input_pesan_filmItemStateChanged

    private void input_pesan_filmActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_input_pesan_filmActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_input_pesan_filmActionPerformed

    private void bangkuA1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bangkuA1ActionPerformed
        // TODO add your handling code here:
        baris = "a";
        nomer = "1";
    }//GEN-LAST:event_bangkuA1ActionPerformed

    private void bangkuA2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bangkuA2ActionPerformed
        // TODO add your handling code here:
        baris = "a";
        nomer = "2";
    }//GEN-LAST:event_bangkuA2ActionPerformed

    private void bangkuB1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bangkuB1ActionPerformed
        // TODO add your handling code here:
        baris = "b";
        nomer = "1";
    }//GEN-LAST:event_bangkuB1ActionPerformed

    private void bangkuB2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bangkuB2ActionPerformed
        // TODO add your handling code here:
        baris = "b";
        nomer = "2";
    }//GEN-LAST:event_bangkuB2ActionPerformed

    private void bangkuB3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bangkuB3ActionPerformed
        // TODO add your handling code here:
        baris = "b";
        nomer = "3";
    }//GEN-LAST:event_bangkuB3ActionPerformed

    private void bangkuB4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bangkuB4ActionPerformed
        // TODO add your handling code here:
        baris = "b";
        nomer = "4";
    }//GEN-LAST:event_bangkuB4ActionPerformed

    private void bangkuC1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bangkuC1ActionPerformed
        // TODO add your handling code here:
        baris = "c";
        nomer = "1";
    }//GEN-LAST:event_bangkuC1ActionPerformed

    private void bangkuC2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bangkuC2ActionPerformed
        // TODO add your handling code here:
        baris = "c";
        nomer = "2";
    }//GEN-LAST:event_bangkuC2ActionPerformed

    private void bangkuC3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bangkuC3ActionPerformed
        // TODO add your handling code here:
        baris = "c";
        nomer = "3";
    }//GEN-LAST:event_bangkuC3ActionPerformed

    private void bangkuC4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bangkuC4ActionPerformed
        // TODO add your handling code here:
        baris = "c";
        nomer = "4";
    }//GEN-LAST:event_bangkuC4ActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
         try{
                CRUD_Pesan CP = new CRUD_Pesan();
                CP.labelDataIdStudio(no_studio, input_jam_tayang.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString());
                //CP.labelDataWaktuMulai(inputWaktuMulai, input_pesan_bioskop.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString());
                //CP.labelDataWaktuSelesai(inputWaktuSelesai, input_pesan_bioskop.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString());
                CP.labelDataHarga(input_harga, input_pesan_film.getSelectedItem().toString(),input_jam_tayang.getSelectedItem().toString());
                //CP.labelDataTanggal(input_tangal, input_pesan_bioskop.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString());

                //setting bangku
                FreeSyntax FS = new FreeSyntax();
                FS.getDataBangku(no_studio.getText(), bangku);
                
                setBangku(bangku,0,bangkuA1);
                setBangku(bangku,1,bangkuA2);
                setBangku(bangku,2,bangkuA3);
                setBangku(bangku,3,bangkuA4);
                
                setBangku(bangku,4,bangkuB1);
                setBangku(bangku,5,bangkuB2);
                setBangku(bangku,6,bangkuB3);
                setBangku(bangku,7,bangkuB4);
                
                setBangku(bangku,8,bangkuC1);
                setBangku(bangku,9,bangkuC2);
                setBangku(bangku,10,bangkuC3);
                setBangku(bangku,11,bangkuC4);
                //endOf SetBangku
                
                bioskopDipilih = true;
                filmDipilih = true;
               
                
            }catch(Exception e){
                System.out.println(e.getMessage());
            }
    }//GEN-LAST:event_jButton2ActionPerformed

    private void input_jam_tayangMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_input_jam_tayangMouseClicked
        jamDipilih = true;
    }//GEN-LAST:event_input_jam_tayangMouseClicked

    private void input_jam_tayangItemStateChanged(java.awt.event.ItemEvent evt) {//GEN-FIRST:event_input_jam_tayangItemStateChanged
        // TODO add your handling code here:
        if(filmDipilih){
            try{
                CRUD_Pesan CP = new CRUD_Pesan();
                CP.labelDataIdStudio(no_studio, input_jam_tayang.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString());
                //CP.labelDataWaktuMulai(inputWaktuMulai, input_pesan_bioskop.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString());
                //CP.labelDataWaktuSelesai(inputWaktuSelesai, input_pesan_bioskop.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString());
                CP.labelDataHarga(input_harga, input_pesan_film.getSelectedItem().toString(),input_jam_tayang.getSelectedItem().toString());
                //CP.labelDataTanggal(input_tangal, input_pesan_bioskop.getSelectedItem().toString(), input_pesan_film.getSelectedItem().toString());

                //setting bangku
                FreeSyntax FS = new FreeSyntax();
                FS.getDataBangku(no_studio.getText(), bangku);
                
                setBangku(bangku,0,bangkuA1);
                setBangku(bangku,1,bangkuA2);
                setBangku(bangku,2,bangkuA3);
                setBangku(bangku,3,bangkuA4);
                
                setBangku(bangku,4,bangkuB1);
                setBangku(bangku,5,bangkuB2);
                setBangku(bangku,6,bangkuB3);
                setBangku(bangku,7,bangkuB4);
                
                setBangku(bangku,8,bangkuC1);
                setBangku(bangku,9,bangkuC2);
                setBangku(bangku,10,bangkuC3);
                setBangku(bangku,11,bangkuC4);
                //endOf SetBangku
                
               
                
            }catch(Exception e){
                System.out.println(e.getMessage());
            }
            filmDipilih = false;
        }
    }//GEN-LAST:event_input_jam_tayangItemStateChanged

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FormPesan.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FormPesan.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FormPesan.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FormPesan.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new FormPesan().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton bangkuA1;
    private javax.swing.JButton bangkuA2;
    private javax.swing.JButton bangkuA3;
    private javax.swing.JButton bangkuA4;
    private javax.swing.JButton bangkuB1;
    private javax.swing.JButton bangkuB2;
    private javax.swing.JButton bangkuB3;
    private javax.swing.JButton bangkuB4;
    private javax.swing.JButton bangkuC1;
    private javax.swing.JButton bangkuC2;
    private javax.swing.JButton bangkuC3;
    private javax.swing.JButton bangkuC4;
    private javax.swing.JLabel input_harga;
    private javax.swing.JComboBox input_jam_tayang;
    public static final javax.swing.JTextField input_nama_kasir = new javax.swing.JTextField();
    private javax.swing.JComboBox input_pesan_film;
    private javax.swing.JLabel input_tangal;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JLabel no_studio;
    // End of variables declaration//GEN-END:variables
}
